/*
 * Class ARGUMENTS
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_578 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_578 [] = {0xFF01,1551,577,0xFFFF};
static const EIF_TYPE_INDEX egt_2_578 [] = {0xFF01,577,0xFFFF};
static const EIF_TYPE_INDEX egt_3_578 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_578 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_578 [] = {0xFF01,577,0xFFFF};
static const EIF_TYPE_INDEX egt_6_578 [] = {0xFF01,577,0xFFFF};
static const EIF_TYPE_INDEX egt_7_578 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_578 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_578 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_578 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_578 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_578 [] = {0xFF01,577,0xFFFF};
static const EIF_TYPE_INDEX egt_13_578 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_14_578 [] = {0xFF01,1559,0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_15_578 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_16_578 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_17_578 [] = {0xFF01,871,0xFFFF};
static const EIF_TYPE_INDEX egt_18_578 [] = {0xFF01,1559,0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_19_578 [] = {0xFF01,579,0xFFFF};
static const EIF_TYPE_INDEX egt_20_578 [] = {0xFF01,1555,0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_21_578 [] = {0xFF01,914,0xFFFF};


static const struct desc_info desc_578[] = {
	{EIF_GENERIC(NULL), 10529, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_578), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_578), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_578), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_578), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_578), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_578), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_578), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_578), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_578), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_578), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_578), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_578), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0483 /*577*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_578), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_578), 10530, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_578), 10531, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_578), 10532, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_578), 10533, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10535, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10536, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10537, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10538, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10539, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0725 /*914*/), 10540, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0725 /*914*/), 10541, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0725 /*914*/), 10542, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0725 /*914*/), 10543, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0725 /*914*/), 10544, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0725 /*914*/), 10545, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_578), 10546, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10547, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10548, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 10549, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 10550, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 10551, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_578), 10552, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_578), 10528, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_578), 10534, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_578), -1, 0xFFFFFFFF},
};
void Init578(void)
{
	IDSC(desc_578, 0, 577);
	IDSC(desc_578 + 1, 1, 577);
	IDSC(desc_578 + 32, 741, 577);
	IDSC(desc_578 + 55, 1088, 577);
}


#ifdef __cplusplus
}
#endif
